;
; AC le 11/10/2005
; 
; Affichage standardise des couleurs predefinies dans la structure !col
;
pro AC_COLORS_INFO, quick=quick, test=test, help=help
;
mess=AC_SETMESSAGES('AC_COLORS_INFO')
;
if KEYWORD_SET(help) then begin
    print, 'pro AC_COLORS_INFO, quick=quick, test=test, help=help'
    print, ''
    print, 'PURPOSE: print a long or a short (/quick) list of predefined colors'
    return
endif 
;
if NOT(AC_COLORS_EXIST(mess)) then return
;
; ceci juste pour un petit affichage a minima
;
if KEYWORD_SET(quick) then begin
    print, mess.info+'Predefined Colors Alias:'
    print, !col.short
    return
endif
;
; a partir d'ici, affichage bavard:
; -- nom de la table de couleurs active
; -- nombre de couleurs perso predefinis
; -- indice, alias et nom des couleurs perso
;
; quel est le nom de la table actuelle ?
;
LOADCT, get_names=list_name_colors
current_name=list_name_colors(!col.table_number)
print, mess.info+'Current color table: .........', current_name
;
; nombre de couleurs predefinies
;
print, mess.info+'Number of predefined colors:..', !col.nb_colors
;
print, 'Label, indice, Color name:'
for i=0,  !col.nb_colors-1 do begin
    print, format='(A8,A2,i3,A2, A)', !col.short(!col.indices(i)), ', ', $
      !col.indices(i), ', ', !col.name(!col.indices(i))
endfor
;
end
