;
; AC le 02/02/2005
;
; mettre facilement la ou on veut des textes sur un trace ...
; en tenant compte seulement de la surface "active" du trace
;
; ----------------------------------
; Liste des modifications
;
; AC le 14/12/2005: ajout de la doc et des mots-clef HELP et TEST
;
; ----------------------------------
;
; Usage: XYOUTS, AC_XYOUTS(0.8, /X), AC_XYOUTS(0.1, /Y), texte
;
; ----------------------------------
;
function AC_XYOUTS, coefficient, x=x, y=y, $
                    help=help, test=test
;
if (N_params() LT 1) then help=1
if KEYWORD_SET(help) then begin
    print, 'function AC_XYOUTS, coefficient, x=x, y=y, $'
    print, '                    help=help, test=test'
    print, ''
    print, 'CALLING SEQUENCE: XYOUTS, AC_XYOUTS(0.8, /X), AC_XYOUTS(0.1, /Y), texte'
    return, -1
endif
;
mess=AC_SETMESSAGES("AC_XYOUTS")
;
if (KEYWORD_SET(X)) then crange=!x.crange
if (KEYWORD_SET(Y)) then crange=!y.crange
;
if (N_ELEMENTS(crange) NE 2) then begin
    print, mess.fatal+"must be called with one of /X or /Y !"
    return, -1
endif
;
mini=crange(0)
maxi=crange(1)
resultat=mini+coefficient*(maxi-mini)
;
if KEYWORD_SET(test) then STOP
;
return, resultat
end
