;
function VAL_MAX_POWER, signal
;
nbp=N_ELEMENTS(signal)
;
fft_signal=FFT(signal)
power=fft_signal*CONJ(fft_signal)
;
val_power=MAX(power(1:nbp/2-1))
;
return, FLOAT(val_power)
end
;
pro DEMO_VAL_MAX_POWER
;
a=cos(findgen(1024)/20)+20
print, VAL_MAX_POWER(a)
;
b=5.*a+.2*cos(findgen(1024)/31)+12
print, VAL_MAX_POWER(b)
;
c=b+findgen(1024)/500.
print, VAL_MAX_POWER(c)
;
stop
end
